Summary: SDL2 graphics drawing primitives and other support functions
Name: SDL2_gfx
Version: 1.0.0
Release: 6%{?dist}
License: zlib
Group: System Environment/Libraries
URL: http://www.ferzkopp.net/Software/SDL2_gfx-2.0/
Source: http://downloads.sourceforge.net/project/sdl2gfx/%{name}-%{version}.tar.gz
Patch0: 0001-test-Add-batch-switch.patch
BuildRequires: SDL2-devel
BuildRequires: doxygen

%description
Library providing graphics drawing primitives and other support functions
wrapped up in an addon library for the Simple Direct Media version 2 (SDL2)
cross-platform API layer.


%package devel
Summary: Development files for SDL2_gfx
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: SDL2-devel%{?_isa}

%description devel
This package contains the files required to develop programs which use SDL2_gfx.


%package docs
Summary: API Documentation for SDL2_gfx
Group: Documentation
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description docs
This package contains the API documentation for SDL2_gfx library.


%prep
%setup -q
%patch0 -p1
find -name '*.[ch]' |xargs chmod -x
sed 's/\r//' <README >README.unix
touch -r README README.unix
mv README.unix README


%build
%configure \
%ifnarch %{ix86} x86_64
    --disable-mmx \
%endif
    --disable-static
make %{?_smp_mflags}

# API documentation
cd Docs
rm -rf html
doxygen html.doxyfile
cd ..

# Examples & test suite
cd test
CFLAGS='-I.. -L../.libs %{optflags}'
%configure
make %{_smp_mflags}


%install
%make_install

# Missing from Makefile.am
install -pm644 SDL2_gfxPrimitives_font.h %{buildroot}%{_includedir}/SDL2/

# API documentation
mkdir -p %{buildroot}%{_pkgdocdir}
cp -a Docs/html %{buildroot}%{_pkgdocdir}/

# This might be useful for live tests; ship it in the devel package
install -d %{buildroot}%{_libdir}/%{name}
install test/testgfx %{buildroot}%{_libdir}/%{name}


%check
export SDL_VIDEODRIVER=dummy
export LD_LIBRARY_PATH="$PWD/.libs"
cd test
./testgfx --info all --log all --batch
./testrotozoom --info all --log all --batch
./testimagefilter


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING NEWS README AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/SDL2/*.h
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}

%files docs
%{_pkgdocdir}/html

%changelog
* Tue Sep 02 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-6
- Depend on arch specific -devel package (Dorin Lazar, #1136066)

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-4
- -docs: Version the main package dependency

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-3
- -docs: Don't depend on arch-specific main package
- -devel: Drop pkgconfig dependency

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-2
- Drop old changelog
- Use version macro
- Build and package tests
- Build and package the API documentation
- Fix modes and line breaks for some files

* Sun Jun 15 2014 Lubomir Rintel <lkundrak@v3.sk> - 1.0.0-1
- Port SDL_gfx package to SDL2_gfx
